public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-qt/qtlocation/
Date: Fri, 25 Mar 2022 20:34:11 +0000 (UTC)	[thread overview]
Message-ID: <1648240322.fa50e5ec82ab2014b6d71e58dd3c88bfcc9066a5.asturm@gentoo> (raw)

commit:     fa50e5ec82ab2014b6d71e58dd3c88bfcc9066a5
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 25 20:10:36 2022 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Mar 25 20:32:02 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa50e5ec

dev-qt/qtlocation: Fix appendChildNode() call

QTBUG: https://bugreports.qt.io/browse/QTBUG-96795
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-qt/qtlocation/Manifest                    |  1 +
 dev-qt/qtlocation/qtlocation-5.15.3-r1.ebuild | 49 +++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-qt/qtlocation/Manifest b/dev-qt/qtlocation/Manifest
index c8d953b27f70..9751407570b1 100644
--- a/dev-qt/qtlocation/Manifest
+++ b/dev-qt/qtlocation/Manifest
@@ -1,4 +1,5 @@
 DIST qtlocation-5.15.2-861e372b.tar.gz 5431120 BLAKE2B c66e81f7e726b53000a0f8a4eafa9a4a6168aa08c89d4d0e2ef11b02e3598fd0b3f30dbd21e6c5436814bb88fa69c96d141b0d0d79f13239ec61396269af089a SHA512 b7cac8cd42185504c6140f1dcd4e8c0c749e3d8f22bf9977e97268e0ad6fbd3733e571a255ab7824eba31e30e707e804b07317f2ec9b7be15a4a5756c78c9e41
 DIST qtlocation-5.15.3-gentoo-kde-1.tar.xz 700 BLAKE2B 098f0fc3f25fbbc8f87e6c76881bb7f27c7786e487e7e162c0ab38a35d0c71c96ba3aa65a5fc67953b8495d1773a02dff272f36bed49917ad377eb9a8b69b67a SHA512 e446763a8e6e7e0a6615aa707f8d393444f2e2ac6a03ea87e12bd9bff130c97ce94238c15392dd00121e587c5212b37666a53acf96c25501f86068779678cef8
+DIST qtlocation-5.15.3-gentoo-kde-2.tar.xz 1000 BLAKE2B bf03283153bed5f2e67cfcc42784fb6cec7574492cbc63979316602e9f2684fdd10f140b743f82076ec39e0831faa8a5a2074e9cfdf7c4743eff354e076b635f SHA512 f44f5aa2f6aac3a62fbc3cc6eaa88949d54f4238d1cbc12d770ba3b48f97712678c491083029ba871fb9eb31f5172296e8951e83a3f874ac2a8a1a78478559e4
 DIST qtlocation-everywhere-opensource-src-5.15.3.tar.xz 6556680 BLAKE2B aa187e23ed544e380516d93f3cb83fcff73ee501e7b790eb55b9ca9ddcdbf96d31b8b645b70e003423bf6e8945e2fb06be0ba62785a1ba5680acca2129003d83 SHA512 755434db4cdea1c98159a2891c3efcda03fd03b144c37e7a71f57cb5d5dbc5ea1b35d1dcafa7301fc904ede910b4a9f7cfc834b7722cc06fcc360ad3be7b2886
 DIST qtlocation-mapboxgl-5.15.2-d3101bbc.tar.gz 3726244 BLAKE2B e571a72e041b80b155eae7d171cee7f996fbe223c8d3337f549ea2a40472fc2da9dd8abf54238f22c1828d467aaf01307a61acecd3aedc4f5f7cabc06f48d830 SHA512 6e38e5ca0b9e17de690af79f4702278bdc933a74561aa135b3e82245df7d795602403048bcc5bce00237f774ce3957540a8bded1a71f8730a08da05dec1f039f

diff --git a/dev-qt/qtlocation/qtlocation-5.15.3-r1.ebuild b/dev-qt/qtlocation/qtlocation-5.15.3-r1.ebuild
new file mode 100644
index 000000000000..b41af51db3c9
--- /dev/null
+++ b/dev-qt/qtlocation/qtlocation-5.15.3-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+QT5_KDEPATCHSET_REV=2
+inherit qt5-build
+
+DESCRIPTION="Location (places, maps, navigation) library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+	KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+fi
+
+IUSE=""
+
+RDEPEND="
+	dev-libs/icu:=
+	=dev-qt/qtcore-${QT5_PV}*
+	=dev-qt/qtdeclarative-${QT5_PV}*
+	=dev-qt/qtgui-${QT5_PV}*
+	=dev-qt/qtnetwork-${QT5_PV}*
+	=dev-qt/qtpositioning-${QT5_PV}*[qml]
+	=dev-qt/qtsql-${QT5_PV}*
+	sys-libs/zlib
+"
+DEPEND="${RDEPEND}
+	=dev-qt/qtconcurrent-${QT5_PV}*
+"
+
+QT5_TARGET_SUBDIRS=(
+	src/3rdparty/clipper
+	src/3rdparty/poly2tri
+	src/3rdparty/clip2tri
+	src/3rdparty/mapbox-gl-native
+	src/location
+	src/imports/location
+	src/imports/locationlabs
+	src/plugins/geoservices
+)
+
+src_configure() {
+	# src/plugins/geoservices requires files that are only generated when
+	# qmake is run in the root directory. Bug 633776.
+	mkdir -p "${QT5_BUILD_DIR}"/src/location || die
+	qt5_qmake "${QT5_BUILD_DIR}"
+	cp "${S}"/src/location/qtlocation-config.pri "${QT5_BUILD_DIR}"/src/location || die
+	qt5-build_src_configure
+}


             reply	other threads:[~2022-03-25 20:34 UTC|newest]

Thread overview: 123+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-03-25 20:34 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-09  6:22 [gentoo-commits] repo/gentoo:master commit in: dev-qt/qtlocation/ Ionen Wolkens
2024-10-08  5:03 Ionen Wolkens
2024-09-27  7:26 Ionen Wolkens
2024-09-24  9:57 Ionen Wolkens
2024-07-16  1:29 Ionen Wolkens
2024-07-08 11:16 Arthur Zamarin
2024-07-08 10:09 Sam James
2024-06-30 12:13 Sam James
2024-06-30 12:13 Sam James
2024-06-30 11:02 Arthur Zamarin
2024-06-30  8:51 Arthur Zamarin
2024-06-30  8:45 Arthur Zamarin
2024-06-18 18:14 Ionen Wolkens
2024-06-15 15:47 Arthur Zamarin
2024-06-11 16:30 Andreas Sturmlechner
2024-06-08 13:41 Ionen Wolkens
2024-06-08  5:27 Arthur Zamarin
2024-06-04 16:16 Arthur Zamarin
2024-06-02  4:04 Sam James
2024-06-01 15:59 Arthur Zamarin
2024-05-28 18:56 Arthur Zamarin
2024-05-20  8:48 Ionen Wolkens
2024-05-17  5:49 Ionen Wolkens
2024-05-16 15:36 Arthur Zamarin
2024-05-16 12:45 Andreas Sturmlechner
2024-04-19  7:55 Ionen Wolkens
2024-04-13 17:50 Arthur Zamarin
2024-04-07 10:18 WANG Xuerui
2024-04-03 20:45 Arthur Zamarin
2024-04-03 18:48 Arthur Zamarin
2024-04-02 13:06 Ionen Wolkens
2024-04-01 18:29 Arthur Zamarin
2024-03-28  4:03 Yixun Lan
2024-03-27 12:44 Arthur Zamarin
2024-03-26 18:46 Arthur Zamarin
2024-03-26  7:10 Ionen Wolkens
2024-03-22 10:29 Ionen Wolkens
2024-03-12 12:01 Ionen Wolkens
2024-02-20 14:30 Arthur Zamarin
2024-02-14 12:24 Ionen Wolkens
2024-01-31 22:47 Ionen Wolkens
2023-12-19 20:58 Andreas Sturmlechner
2023-12-19 20:33 Ionen Wolkens
2023-12-18  8:27 Arthur Zamarin
2023-12-17 18:29 Arthur Zamarin
2023-12-16 11:36 Sam James
2023-12-12 21:25 Ionen Wolkens
2023-11-27  8:47 Ionen Wolkens
2023-11-23 19:53 Sam James
2023-11-23 16:47 Arthur Zamarin
2023-11-23 16:47 Arthur Zamarin
2023-11-15 17:20 Arthur Zamarin
2023-11-11 20:00 Andreas Sturmlechner
2023-11-06  8:15 Arthur Zamarin
2023-11-06  7:14 Arthur Zamarin
2023-11-05 19:12 Arthur Zamarin
2023-11-05 19:12 Arthur Zamarin
2023-10-10 14:51 Ionen Wolkens
2023-10-08 16:21 Arthur Zamarin
2023-10-08 16:21 Arthur Zamarin
2023-10-08 15:58 Andreas Sturmlechner
2023-09-26 19:48 Ionen Wolkens
2023-09-26 10:02 Andreas Sturmlechner
2023-09-24 17:22 Ionen Wolkens
2023-09-15  4:49 Sam James
2023-07-26 13:31 Jimi Huotari
2023-07-20 19:41 Jimi Huotari
2023-07-12  1:13 Sam James
2023-07-09 17:00 Arthur Zamarin
2023-07-08 21:18 Andreas Sturmlechner
2023-06-10 19:20 Jimi Huotari
2023-06-10 19:20 Jimi Huotari
2023-06-10 13:33 Jimi Huotari
2023-05-01  7:26 Arthur Zamarin
2023-04-25  9:42 Arthur Zamarin
2023-04-23 16:00 Arthur Zamarin
2023-04-15 18:39 Jimi Huotari
2023-01-21 19:33 Arthur Zamarin
2023-01-21 19:30 Arthur Zamarin
2023-01-17 20:04 Sam James
2022-12-04 19:30 Arthur Zamarin
2022-12-04 19:22 Arthur Zamarin
2022-12-03 20:37 Arthur Zamarin
2022-12-03 11:02 Sam James
2022-09-22  8:04 Jakov Smolić
2022-07-04 18:00 Arthur Zamarin
2022-07-02 18:25 Sam James
2022-06-30 22:19 Sam James
2022-06-24  4:58 Sam James
2022-06-14 17:32 Andreas Sturmlechner
2022-06-14 13:27 Sam James
2022-06-13 21:18 Sam James
2022-06-10  3:16 Sam James
2022-04-17 19:29 Sam James
2022-04-14  0:19 Sam James
2022-04-12 22:49 Sam James
2022-04-12 19:35 Arthur Zamarin
2022-04-12 18:45 Arthur Zamarin
2022-03-25 20:34 Andreas Sturmlechner
2021-09-30 18:20 Sam James
2021-09-30 18:15 Sam James
2021-08-26  9:34 Andreas Sturmlechner
2021-08-25 14:36 Andreas Sturmlechner
2021-01-09 13:42 Sam James
2021-01-02  1:23 Andreas Sturmlechner
2020-10-12 11:55 Sam James
2020-05-09  7:43 Agostino Sarubbo
2020-04-10  8:38 Andreas Sturmlechner
2020-02-08 13:25 Mikle Kolyada
2019-05-23 13:20 Mikle Kolyada
2019-04-26 17:51 Anthony G. Basile
2018-12-06 19:35 Andreas Sturmlechner
2018-10-16 16:09 Mikle Kolyada
2018-07-13 13:41 Mikle Kolyada
2017-10-10 11:22 Michael Palimaka
2017-09-08  5:06 Markus Meier
2017-08-11 13:06 Michael Palimaka
2017-06-21  9:47 Alexis Ballier
2017-03-17 10:15 Agostino Sarubbo
2017-03-16 10:13 Michael Weber
2016-08-18 18:43 Michael Palimaka
2016-04-28 14:53 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1648240322.fa50e5ec82ab2014b6d71e58dd3c88bfcc9066a5.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox